View Issue Details

IDProjectCategoryView StatusLast Update
0004396FreeCADBugpublic2020-07-19 09:38
Reporterwemv Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004396: FreeCAD Crashes when trying to edit an empty perameter.
DescriptionWhen trying to add a boolean parameter to preferences-Dialog the program crashes.
Steps To ReproduceStart FreeCAD
Create a new document.
Go to Tools.
Edit parameters.
Preferences.
Highlight Dialog. (Right hand panel should be empty)
Right click on the right hand panel.
Crash.

Additional InformationForum thread
Tags#pending-forum
FreeCAD InformationOS: Linux Mint 19.3 (X-Cinnamon/cinnamon)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.21775 (Git) AppImage
Build type: Release
Branch: master
Hash: 1f741aa511e898849e46ed14515fce416fe32acb
Python version: 3.8.2
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United States (en_US)

Activities

vocx

2020-07-17 23:20

reporter   ~0014654

Another report: FC crash when right cliking in the parameter editor

TheMarkster

2020-07-17 23:36

reporter   ~0014655

https://github.com/FreeCAD/FreeCAD/pull/3711

wmayer

2020-07-18 10:06

administrator   ~0014656

https://github.com/FreeCAD/FreeCAD/commit/9ea45bc8b776c9581e80e692ff0c83bc74d68cb0

Kunda1

2020-07-19 09:36

administrator   ~0014658

Last edited: 2020-07-19 09:38

View 2 revisions

FreeCAD master 9ea45bc8

@TheMarkster thx for the fix. Next time, if you don't mind, please add the keywords:
Fixes #<ticket_number>
in order to remotely close the mantisbt ticket.

Related Changesets

FreeCAD: master 9ea45bc8

2020-07-17 23:33:07

TheMarkster


Committer: wwmayer Details Diff
[crash fix] Edit Parameters right click was causing crash unless right clicking on item Affected Issues
0004396
mod - src/Gui/DlgParameterImp.cpp Diff File

Issue History

Date Modified Username Field Change
2020-06-30 17:57 wemv New Issue
2020-07-03 22:30 Kunda1 Additional Information Updated View Revisions
2020-07-03 22:30 Kunda1 FreeCAD Information OS: Linux Mint 19.3 (X-Cinnamon/cinnamon) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.21775 (Git) AppImage Build type: Release Branch: master Hash: 1f741aa511e898849e46ed14515fce416fe32acb Python version: 3.8.2 Qt versi... => OS: Linux Mint 19.3 (X-Cinnamon/cinnamon) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.21775 (Git) AppImage Build type: Release Branch: master Hash: 1f741aa511e898849e46ed14515fce416fe32acb Python version: 3.8.2 Qt version...
2020-07-03 22:42 Kunda1 Tag Attached: #pending-forum
2020-07-17 23:20 vocx Note Added: 0014654
2020-07-17 23:36 TheMarkster Note Added: 0014655
2020-07-18 10:06 wmayer Status new => closed
2020-07-18 10:06 wmayer Resolution open => fixed
2020-07-18 10:06 wmayer Fixed in Version => 0.19
2020-07-18 10:06 wmayer Note Added: 0014656
2020-07-19 09:36 Kunda1 Note Added: 0014658
2020-07-19 09:36 Kunda1 Changeset attached => FreeCAD master 9ea45bc8
2020-07-19 09:38 Kunda1 Note Edited: 0014658 View Revisions